Problemas de implementação do TCF v2.0 (Solução Eficaz)

por Glauco Gutemberg

postado em

atualizado em

ANÚNCIOS

Você recebeu um aviso do google adsense no seu painel com a informação abaixo?

“Encontramos um problema na string de TC do IAB em um ou mais dos seus sites/apps. Esses erros podem afetar a veiculação de anúncios para usuários europeus. há um relatório detalhado disponível na página “consentimento dos usuários da ue”.

ANÚNCIOS

Então, é bem possível que seu plugin de consentimento de cookies não está funcionando de acordo com o esperado.

Aqueles relatórios ou informativos do google adsense sobre como resolver esse problema parece que mais atrapalham do que ajudam.

Se você já está de saco cheio e já vasculhou documentos como os citados abaixo:

  1. https://support.google.com/adsense/answer/9999955
  2. https://support.google.com/adsense/answer/9804260?hl=en
  3. https://support.google.com/adsense/thread/171583226/meu-blog-est%C3%A1-aparecendo-essa-mensagem-encontramos-um-problema-na-string-de-tc-do-iab-em-um-ou-mais?hl=pt-BR
  4. https://github.com/google/site-kit-wp/issues/1913
Encontramos um problema na string de TC do IAB em um ou mais dos seus sites/apps. Esses erros podem afetar a veiculação de anúncios para usuários europeus. há um relatório detalhado disponível na página "consentimento dos usuários da ue.
Problema na string de TC do IAB tira a paciência de muitos usuários do Google Adsense. | Foto: Reprodução/Google

Como resolver finalmente o problema na string de TC do IAB

Para resolver esse problema o que você precisa fazer é apenas substituir o seu plugin atual de consentimento de cookies por um novo.

ANÚNCIOS

No entanto, seu novo plugin deve estar atualizado e já ter implementado as regras que o Transparency and Consent Framework (TCF) exige.

Plugin que eu usava e não serviu

Quando o erro surgiu no meu painel do adsense, eu estava usando o plugin Cookies YES, um excelente plugin, porém, ele não atende algumas das regras do TCF v2.0, logo, tem que trocar.

Erro 3.3

Quando o google detecta o erro 3.3 no seu site, ele te avisa através de uma planilha que ele permite que você faça download diretamente do painel do adsense.

O erro 3.3 se apresenta porque a data da última atualização da string de TC foi há mais de 13 meses.

O que significa que a CMP (seu plugin de cookies) precisa excluir a string de TC antiga e receber o consentimento novamente.

Plugin compatível que resolve o problema

Após testar vários plugins e o aviso do adsense não sair da tela, finalmente instalei e configurei o plugin Complianz | GDPR/CCPA Cookie Consent, esse plugin é da empresa Really Simple Plugins.

Então agora você já sabe, basta instalar e configurar ele certinho que essa vai ser a melhor opção de plugin pra resolver esse aviso chato do painel.

Configuração do plugin caso precise

Tempo pro aviso sair do painel após a troca de plugin

Aqui quando troquei o plugin Cookie YES e instalei o Complianz, o tempo para que o aviso sumisse do painel do adsense foi menos de 24 horas.

No entanto, lembre-se que se seu site usar cache, você precisa eliminar todas as camadas de cache pro google ver mais rapidamente a mudança no seu site e retirar o aviso do painel.

Aqui por exemplo eu uso CloudFlare, WP-Rocket e Redis no mesmo site, ou seja, tive que eliminar os 3 caches umas duas vezes pra garantir e o aviso sair.

É isso, espero que eu tenha ajudado a resolver seu problema.

Deixa um obrigado nos comentários se isso te ajudou, flw.

Deixe um comentário